/* -*-C-*- xfile.h */
/**********************************************************************/
/******************************** file ********************************/
/**********************************************************************/

#ifndef FILE_H_DEFINED__
#define FILE_H_DEFINED__

/***********************************************************************
This file includes the system file.h file, which does not have a
standard location.
***********************************************************************/

#ifndef OS_H_DEFINED__
#include "os.h"
#endif /* OS_H_DEFINED__ */

#if    (OS_ATARI | OS_VAXVMS | OS_VMCMS)
#define NO_SYS_DIR	1
#endif /* (OS_ATARI | OS_VAXVMS | OS_VMCMS) */

#if    OS_TOPS20
#if    STDC				/* then KCC version 6 or later */
#else					/* PCC, or KCC version 5 or earlier */
#define NO_SYS_DIR	1
#endif /* STDC */
#endif /* OS_TOPS20 */

#ifdef NO_SYS_DIR
#include <file.h>
#undef NO_SYS_DIR
#else
#include <sys/file.h>
#endif /* NO_SYS_DIR */

#endif /* FILE_H_DEFINED__ */
